<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_sliding_panel.php
| Author: Falcon Pell
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
    
	 define("BULLET", "<span class=''>&middot;</span>");
	 global $aidlink, $locale, $settings, $userdata;
	
	$dir = INFUSIONS."user_sliding_panel/";
    add_to_head("<script type='text/javascript' src='".$dir."css/slide.js'></script>
				 <link rel='stylesheet' type='text/css' href='".$dir."css/slide.css' />");

if (file_exists($dir."locale/".$settings['locale'].".php")) {
	include $dir."locale/".$settings['locale'].".php";
  } else {
	include $dir."locale/English.php";
  }

	echo "<div id='toppanel'>\n";
	echo "<div id='panel'>\n";
	echo "<div class='content clearfix'>\n";
	echo "<div class='left'>\n";
	echo "<h1>".$locale['100']." ".$settings['sitename']."!</h1>\n";	
	echo "<img src='".IMAGES."logo.png'>\n";
	echo "</div>\n";
	
if (iMEMBER) {
	echo "<div class='left'>\n";
	echo "<h1>".$userdata['user_name']."</h1>";
	
	echo "<div id='panelnav'>\n";
	echo "<ul>\n";
	echo "<li><a href='".BASEDIR."edit_profile.php' class='side'>".BULLET." <span>".$locale['global_120']."</span></a></li>\n";
	echo "<li><a href='".BASEDIR."messages.php' class='side'>".BULLET." <span>".$locale['global_121']."</span></a></li>\n";
	echo "<li><a href='".BASEDIR."members.php' class='side'>".BULLET." <span>".$locale['global_122']."</span></a></li>\n";
if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
	echo "<li><a href='".ADMIN."index.php".$aidlink."' class='side'>".BULLET." <span>".$locale['global_123']."</span></a></li>\n";
  } else {
	echo "<li><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."' class='side'>".BULLET." <span>".$locale['106']."</span></a></li>\n";
  }
	echo "<li><a href='".BASEDIR."setuser.php?logout=yes' class='side'>".BULLET." <span>".$locale['global_124']."</span></a></li>\n";
	echo "</ul>\n";
	echo "</div>\n";
	
	echo "<div><br />\n<p class='grey'>".$locale['107']."</p></div>\n";
	echo "</div>\n";
	
  } elseif (iGUEST) {
	//Login Form
	echo "<div class='left'>\n";
	echo "<form class='clearfix' aname='loginform' method='post' action='".FUSION_SELF."'>\n";
	echo "<h1>".$locale['global_100']."</h1>\n";
	echo "<label class='grey' for='log'>".$locale['global_101'].":</label>\n";
	echo "<input class='field' type='text' name='user_name' id='user_name' value='' size='23' />\n";
	echo "<label class='grey' for='pwd'>".$locale['global_102'].":</label>\n";
	echo "<input class='field' type='password' name='user_pass' id='user_pass' size='23' />\n";
	echo "<label><input name='remember_me' id='remember_me' type='checkbox' checked='checked' value='y' /> &nbsp;".$locale['global_103']."</label>\n";
    echo "<div class='clear'></div>\n";
	echo "<input type='submit' name='login' value='".$locale['global_104']."' class='bt_login' />\n";
	echo "<a class='lost-pwd' href='".BASEDIR."lostpassword.php'>".$locale['108']."</a>\n";
	echo "</form>\n";		
	echo "</div>\n";
  } 
	
if (iMEMBER) {
	echo "<div class='left right'>\n";
	echo "<h1>".$locale['118']."</h1>";
	
	echo "<table width='100%' class='nav'>\n<tr>\n";
	echo "<td>".BULLET." <span>".$locale['119']."</span>\n</td>\n";
	echo "<td align='right'>".number_format($userdata['user_posts'])."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table width='100%' class='nav'>\n<tr>\n";
	echo "<td>".BULLET." <span>".$locale['120']."</span>\n</td>\n";
	include_once INFUSIONS."shoutbox_panel/infusion_db.php";
	echo "<td align='right'>".number_format(dbcount("(shout_id)
	                  ", DB_SHOUTBOX, "shout_name='".$userdata['user_id']."'"))."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table width='100%' class='nav'>\n<tr>\n";
	echo "<td>".BULLET." <span>".$locale['121']."</span>\n</td>\n";
	echo "<td align='right'>".number_format(dbcount("(comment_id)
	                  ", DB_COMMENTS, "comment_name='".$userdata['user_id']."'"))."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table width='100%' class='nav'>\n<tr>\n";
	echo "<td>".BULLET." <span>".$locale['122']."</span>\n</td>\n";
	echo "<td align='right'>".number_format(dbcount("(photo_id)
	                  ", DB_PHOTOS, "photo_user='".$userdata['user_id']."'"))."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table width='100%' class='nav'>\n<tr>\n";
	echo "<td>".BULLET." <span>".$locale['123']."</span>\n</td>\n";
	echo "<td align='right'>".number_format(dbcount("(article_id)
	                  ", DB_ARTICLES, "article_name='".$userdata['user_id']."'"))."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<div><br />\n<p class='grey'>".$locale['124']."</p></div>\n";
	echo "</div>\n";
	echo "</div>\n";
	echo "</div>\n";
	
  } elseif (iGUEST) {
	//Register Form
	echo "<div class='left right'>\n";
	echo "<form action='".BASEDIR."register.php' method='post'>\n";
	echo "<h1>".$locale['109']."</h1>\n";				
	echo "<label class='grey' for='signup'>".$locale['global_101'].":</label>\n";
	echo "<input class='field' type='text' name='signup' id='signup' value='' size='23' />\n";
	echo "<label class='grey' for='email'>Email:</label>\n";
	echo "<input class='field' type='text' name='email' id='email' size='23' />\n";
	echo "<label>".$locale['110']."</label>\n";
	echo "<input type='submit' name='submit' value='".$locale['global_107']."' class='bt_register' />\n";
	echo "<a class='lost-pwd' href='".BASEDIR."register.php'>".$locale['117']."</a>\n";
	echo "</form>\n";
	echo "</div>\n";
	echo "</div>\n";
	echo "</div>\n";	
  }
  
if (iMEMBER) {
	$bdata = dbarray(dbquery("SELECT COUNT(IF(message_folder=0, 1, null)) inbox_total,
							  COUNT(IF(message_folder=1, 1, null))
							  FROM ".DB_MESSAGES." WHERE message_to='".$userdata['user_id']."' GROUP BY message_to"));
	$bdata['inbox_total'] = isset($bdata['inbox_total']) ? $bdata['inbox_total'] : "0";
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
    //The MEMBER tab on top
	echo "<div class='tab'>\n";
	echo "<ul class='login'>\n";
	echo "<li class='left'>&nbsp;</li>\n";
	echo "<li>".$locale['111']." ".$userdata['user_name']."!</li>\n";
	echo "<li class='sep'>|</li>\n";
    echo "<li>".$locale['112']." <a href='".BASEDIR."messages.php'><span style='color:#ff0000'>".sprintf($msg_count)."</span></a>".$locale['113']."".$bdata['inbox_total']."</li>\n";
	echo "<li class='sep'>|</li>\n";
	echo "<li id='toggle'>\n";
	echo "<a id='open' class='open' href='#'>".$locale['114']."</a>\n";
	echo "<a id='close' style='display: none;' class='close' href='#'>".$locale['115']."</a>\n";			
	echo "</li>\n";
	echo "<li class='right'>&nbsp;</li>\n";
	echo "</ul>\n"; 
	echo "</div>\n";
	
  } elseif (iGUEST) {
	//The GUEST tab on top
	echo "<div class='tab'>\n";
	echo "<ul class='login'>\n";
	echo "<li class='left'>&nbsp;</li>\n";
	echo "<li>".$locale['116']."</li>\n";
	echo "<li class='sep'>|</li>\n";
	echo "<li id='toggle'>\n";
	echo "<a id='open' class='open' href='#'>".$locale['global_100']." | ".$locale['global_107']."</a>\n";
	echo "<a id='close' style='display: none;' class='close' href='#'>".$locale['115']."</a>\n";			
	echo "</li>\n";
	echo "<li class='right'>&nbsp;</li>\n";
	echo "</ul>\n";
	echo "</div>\n";
  }
  
    echo "</div>\n";

?>